/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.project.dto.project;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
* 查询接口--数据传输对象：系统基本信息表
*
* createdate:  2021-09-09 01:38:32  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "系统基本信息列表查询dto")
public class CpProjectEnvQueryDto implements Serializable
{

    /**
     * 环境名称<br>
     */
    @ApiModelProperty("环境名称")
    private String envName;
    /**
     * 系统类型<br>
     */
    @ApiModelProperty("系统id集合")
    private List<String> proIds;

    /**
     * 环境id集合<br>
     */
    @ApiModelProperty("环境id集合")
    private List<String> envIds;

    public List<String> getEnvIds() {
        return envIds;
    }

    public void setEnvIds(List<String> envIds) {
        this.envIds = envIds;
    }

    public String getEnvName() {
        return envName;
    }

    public void setEnvName(String envName) {
        this.envName = envName;
    }

    public List<String> getProIds() {
        return proIds;
    }

    public void setProIds(List<String> proIds) {
        this.proIds = proIds;
    }
}